package ctop.bytedance.ad.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import ctop.bytedance.ad.common.entity.MaterialInfo;

import java.util.List;
import java.util.Map;

/**
 * 素材信息
 *
 * @author: jeecg-boot
 * @date: 2019-10-11
 * @cersion: V1.0
 */
public interface MaterialInfoMapper extends BaseMapper<MaterialInfo> {

    String selectUserNameById(@Param("auditorId") String auditorId);

    Integer selectCountByMap(Map<String, Object> requestMap);

    Integer getKuaishouUpVideoCount(@Param("code") String code);

    Integer getToutiaoUpVideoCount(@Param("code") String code);



    List<String> getEffiSignature();

    MaterialInfo getMaterialInfoByCode(@Param("code") String code);

    Long getProjectIdByAccountId(@Param("accountId") Long accountId);

    List<MaterialInfo> getListByDate(@Param("startDate") String startDate,@Param("endDate") String endDate);

    List<MaterialInfo> getListByParams(@Param("tagCode")String tagCode,@Param("type")String type, @Param("status")Integer status, @Param("projectIds")List<Long> projectIds, @Param("materialName")String materialName, @Param("code")String code, @Param("startDate")String startDate, @Param("endDate")String endDate, @Param("userId")String userId);

    Integer updMaterialOfflineById(@Param("id") String id,@Param("offlineFlag") Integer offlineFlag);




}
